curl --request POST \
--url https://sdk.nimbleway.com/v1/extract/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"params": [
{
"url": "https://www.example.com/page1"
},
{
"url": "https://www.example.com/page2"
},
{
"url": "https://www.example.com/page3"
},
{
"url": "https://www.example.com/page4"
}
],
"shared_params": {
"callback_url": "https://example.com/webhook/callback",
"storage_type": "s3",
"storage_url": "s3://bucket-name/path/to/object",
"storage_compress": true,
"storage_object_name": "result-2024-01-15.json",
"render": true,
"country": "US",
"locale": "en-US"
}
}
'{
"batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
"batch_size": 1,
"tasks": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"state": "pending",
"output_url": "string",
"created_at": "2024-01-15T10:30:00Z",
"modified_at": "2024-01-15T10:35:00Z",
"account_name": "string",
"input": null,
"batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
"status_code": 200,
"api_type": "extract"
}
]
}curl --request POST \
--url https://sdk.nimbleway.com/v1/extract/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"params": [
{
"url": "https://www.example.com/page1"
},
{
"url": "https://www.example.com/page2"
},
{
"url": "https://www.example.com/page3"
},
{
"url": "https://www.example.com/page4"
}
],
"shared_params": {
"callback_url": "https://example.com/webhook/callback",
"storage_type": "s3",
"storage_url": "s3://bucket-name/path/to/object",
"storage_compress": true,
"storage_object_name": "result-2024-01-15.json",
"render": true,
"country": "US",
"locale": "en-US"
}
}
'{
"batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
"batch_size": 1,
"tasks": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"state": "pending",
"output_url": "string",
"created_at": "2024-01-15T10:30:00Z",
"modified_at": "2024-01-15T10:35:00Z",
"account_name": "string",
"input": null,
"batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
"status_code": 200,
"api_type": "extract"
}
]
}Was this page helpful?